# mem_fun_t Class Template Reference
[Adaptors for pointers to members]

Inheritance diagram for mem_fun_t:

List of all members.

### template<class _Ret, class _Tp>
class std::mem_fun_t< _Ret, _Tp >

## Public Types

- typedef _Tp * argument_type
- typedef _Ret result_type

## Public Member Functions

- mem_fun_t (_Ret(_Tp::*__pf)())
- _Ret operator() (_Tp *__p) const

## Member Typedef Documentation

typedef _Tp * argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef _Ret result_type `[inherited]`

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h